Skip to main content

sslCertificates

Returns SSL certificates for a company

sslCertificates(
companyId: ID!
page: Int
limit: Int
statuses: [SSLCertificateStatus!] = []
search: String
productNames: [String!] = []
sortBy: String
descending: Boolean
): SSLCertificatePaginatedCollection!

Arguments​

sslCertificates.companyId ● ID! non-null scalar​

sslCertificates.page ● Int scalar​

sslCertificates.limit ● Int scalar​

sslCertificates.statuses ● [SSLCertificateStatus!] list enum​

Case-insensitive match on common name or exact certificate ID

sslCertificates.productNames ● [String!] list scalar​

sslCertificates.sortBy ● String scalar​

sslCertificates.descending ● Boolean scalar​

Type​

SSLCertificatePaginatedCollection object​

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetSslCertificates($companyId: ID!) {\n sslCertificates(companyId: $companyId) { collection { id status altNames } metadata { currentPage limitValue totalCount } }\n}","variables":{"companyId":"<company_id>"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.